<?php

require_once(dirname(__FILE__) . '/Templatesalaspip.class.php');

include_once(dirname(__FILE__) . "/../../../fonctions/authplugins.php");
autorisation(Templatesalaspip::MODULE);

class TemplatesalaspipAdmin extends Templatesalaspip
{
    var $redirect;
    var $erreur;

    function TemplatesalaspipAdmin()
    {
        parent::Templatesalaspip();

        $this->redirect = false;
        $this->erreur = false;
    }

    public function update_config()
    {
        foreach($_REQUEST as $var => $value)
        {
            if (! preg_match('/^'.self::PREFIXE.'/', $var)) continue;

            $this->delete_variable($var);
            $this->create_variable($var, $value);
        }

        $this->redirect = true;

        if (class_exists('CacheBase')) CacheBase::getCache()->reset_cache();
    }

    public function prepare_page()
    {
    }

    public function make_yes_no_radio($var_name)
    {
        $val = $this->get_variable($var_name);

        echo '<input type="radio" name="'.$var_name.'" value="1"'.($val == 1 ? ' checked="checked"':'').'>Oui
              <input type="radio" name="'.$var_name.'" value="0"'.($val == 0 ? ' checked="checked"':'').'>Non';
    }
}

// -- MAIN -------------------------------------------------------------------------------------

    $adm = new TemplatesalaspipAdmin();

    $command = $_REQUEST[Templatesalaspip::PREFIXE.'commande'];

    switch($command)
    {
        case 'maj_config' :
            $adm->update_config();
        break;
    }

    if ($adm->redirect)
    {
        ?>
        <script type="text/javascript">
            self.location = "module.php?nom=<?php echo Templatesalaspip::MODULE?>";
        </script>
        <?php

        exit();
    }

    $adm->prepare_page();
?>

<script type="text/javascript" src="../lib/jquery/jquery.js"></script>

<script type="text/javascript">

    function ms_submit_form()
    {
    	$('#ms_form').submit();
     }
</script>

<div id="contenu_int">
	<p>
		<a class="lien04" href="accueil.php">Accueil</a>
		<img width="12" height="9" border="0" src="gfx/suivant.gif"><a class="lien04" href="module_liste.php">Modules</a>
		<img width="12" height="9" border="0" src="gfx/suivant.gif"><a class="lien04" href="module.php?nom=<?php echo Templatesalaspip::MODULE?>"><?php echo Templatesalaspip::NOMMODULE?> v<?php echo Templatesalaspip::VERSION ?></a>
	</p>

    <div id="bloc_description" style="width: 50%; float: left;">

        <form method="get" action="<?php echo $_SERVER['PHP_SELF'] ?>" id="ms_form">
	        <input type="hidden" name="nom" value="<?php echo Templatesalaspip::MODULE?>" />
	        <input type="hidden" name="<?php echo Templatesalaspip::PREFIXE ?>commande" value="maj_config" />

			<div class="entete">
				<div class="titre">CONFIGURATION</div>
				<div class="fonction_valider"><a href="#" onclick="ms_submit_form(); return false;">VALIDER LES MODIFICATIONS</a></div>
			</div>

	        <table width="100%" cellpadding="5" cellspacing="0">
	        <?php if ($adm->erreur) { ?>
	 			<tr class="fonce">
					<td class="designation">Problème</td>
					<td><span style="color: red;"><?php echo $adm->erreur; ?></span></td>
				</tr>
				<?php } ?>

	 			<tr class="claire">
					<td class="designation">Activer le plugin</td>
					<td nowrap="nowrap"><?php $adm->make_yes_no_radio(Templatesalaspip::PREFIXE.'activer') ?></td>
				</tr>

	 			<tr class="foncebottom">
					<td class="designation">Debug actif<div style="font-size: 0.8em">Affiche sur la page les informations de debug du plugin, pour mieux comprendre comment le plugin détermine les templates a utiliser.</div></td>
					<td nowrap="nowrap"><?php $adm->make_yes_no_radio(Templatesalaspip::PREFIXE.'debug') ?>
				</tr>

	       	 </table>
         </form>
     </div>

	<div id="bloc_description" style="float: right; width: 48%">

		<div class="entete">
			<div class="titre">INFORMATION</div>
		</div>

       	<table width="100%" cellpadding="5" cellspacing="0">

       	    <tr class="clairebottom">
                <td>
                <p>Ce plugin vous permet d'utiliser des templates spécifiques pour chaque rubrique
				produit, dossier et contenu, à l'aide d'une simple convention de nommage de fichier.</p>

				<p>Le plugin utilise les ID des rubriques ou des dossiers pour sélectionner un
				template HTML, d'un suffixe '+y', '=x' ou '-x', x étant l'ID de la rubrique ou du
				dossier, et y  l'ID d'un contenu ou d'un produit</p>

				<p>Si le plugin trouve le template +y, il l'utilisera pour l'affichage du produit ou
				du contenu dont l'ID est y.</p>

				<p>Si le plugin trouve le template =x, il l'utilisera pour l'affichage du dossier ou
				de la rubrique dont l'ID est x.</p>

				<p>Si le plugin trouve le template -x, il l'utilisera pour l'affichage du dossier ou
				de la rubrique dont l'ID est x, ainsi que pour toutes les sous-éléments.</p>

                <p><a href="../client/plugins/<?php echo Templatesalaspip::MODULE?>/readme-viewer.php" target="readme">Lire le fichier LISEZMOI</a> du plugin.</p>
                </td>
       	    </tr>
        </table>
	</div>

	<p style="clear: both; margin-top: 10px;color:#505050;font-size:9px;text-align:left;">Plugin Thelia réalisé par <a href="http://www.cqfdev.fr" target="_blank">Franck Allimant / CQFDev</a>. Contact: <a href="http://www.cqfdev.fr" target="_blank">www.cqfdev.fr</a> - +33(0)6.62.38.28.69</p>

</div>
