<?php
include_once(dirname(__FILE__) . "/Templatesalaspip.class.php");

include_once(dirname(__FILE__) . "/../../../fonctions/authplugins.php");
autorisation(Templatesalaspip::MODULE);

class AdminTemplatesalaspip extends Templatesalaspip {

	private $type_objet = false;

	private static $instance = false;

	private function AdminTemplatesalaspip()
	{
		parent::Templatesalaspip();

		// Trouver le type d'objet
		if (preg_match("`([^\/]*).php`", $_SERVER['PHP_SELF'], $page))
		{
			switch($page[1])
			{
				case "produit_modifier" :
					$this->type_objet = Templatesalaspip::TYPE_PRODUIT;
				break;

				case "rubrique_modifier" :
					$this->type_objet = Templatesalaspip::TYPE_RUBRIQUE;
				break;

				case "contenu_modifier" :
					$this->type_objet = Templatesalaspip::TYPE_CONTENU;
				break;

				case "dossier_modifier" :
					$this->type_objet = Templatesalaspip::TYPE_DOSSIER;
				break;
			}
		}
	}

	public static function instance()
	{
		if (self::$instance === false) self::$instance = new AdminTemplatesalaspip();

		return self::$instance;
	}

	function mise_a_jour()
	{
		if ($this->type_objet == false) return;

		$idobjet = intval($_REQUEST['id']);

		if ($idobjet != 0)
		{
			$alias = $_REQUEST['tals_alias'];

			if ($this->charger_idobjet($idobjet, $this->type_objet)) {

				$this->alias = $alias;

				$this->maj();
			}
			else
			{
				$this->idobjet = $idobjet;
				$this->alias = $alias;
				$this->type = $this->type_objet;

				$this->add();
			}
		}
	}

	function prepare_page()
	{
		if (! isset($_REQUEST['id']))
		{
			// Cas produit: lire l'ID a partir de la ref
			$id = "FIXME";
		}
		else
		{
			$id = intval($_REQUEST['id']);
		}

		if ($id > 0) $this->charger_idobjet($id, $this->type_objet);
	}
}

if (isset($_REQUEST['action']) && $_REQUEST['action'] == 'modifier')
{
	AdminTemplatesalaspip::instance()->mise_a_jour();
}
?>